// IOCTL'ы для взаимодействия БЗиО и драйвера платы

#include <linux/ioctl.h>

#define NMX_IOCTL_MAGIC 'N'

// Чтение управляющего регистра (RUK) платы
#define IOCTL_NMPCI_GET_RUK _IOWR(NMX_IOCTL_MAGIC, 2, __u32)
// Запись в управляющий регистр (RUK) платы
#define IOCTL_NMPCI_SET_RUK _IOW(NMX_IOCTL_MAGIC, 3, __u64)
// Чтение ячейки памяти платы
#define IOCTL_NMPCI_READ_MEMORY _IOWR(NMX_IOCTL_MAGIC, 4, __u32)
// Запись в ячейку памяти платы
#define IOCTL_NMPCI_WRITE_MEMORY _IOW(NMX_IOCTL_MAGIC, 5, __u64)
// Ожидание прерывания
#define IOCTL_NMPCI_WAIT_INTERRUPT _IOWR(NMX_IOCTL_MAGIC, 6, __u32)
// Отмена ожидания прерывания
#define IOCTL_NMPCI_CANCEL_WAIT_INTERRUPT _IO(NMX_IOCTL_MAGIC, 7)
